Get a product
GET/v1/products/:id
Get details of a product by id
Request
Path Parameters
id stringrequired
ID of the product
Responses
- 200
- 400
- 401
- 404
OK
- application/json
- Schema
- Example (from schema)
Schema
data object
id integer
ID of the product
name string
Name of the product
description string
Description of the product
type string
Possible values: [3rd_party, comprehensive]
Type of the product
premium_rate number
Premium of the product
vehicle_value_label stringnullable
Label for the vehicle value band, if any
extra_cover_benefits object[]
Additional cover benefits for the product
payment_duration string
Duration of the policy
{
"data": {
"id": 0,
"name": "string",
"description": "string",
"type": "3rd_party",
"premium_rate": 0,
"vehicle_value_label": "string",
"extra_cover_benefits": [
{}
],
"payment_duration": "string"
}
}
Bad request.
- application/json
- Schema
- Example (from schema)
Schema
message string
{
"message": "400 Bad Request (Client Error)"
}
Unauthenticated - no valid API key was provided.
- application/json
- Schema
- Example (from schema)
Schema
data string
{
"data": "Invalid Token"
}
Not found.
- application/json
- Schema
- Example (from schema)
Schema
message string
{
"message": "No query results for the requested resource."
}
Loading...